---
- name: Enable netconf and restconf on IOS-XE devices
# Prerequisite to have AAA already configured
  hosts: all
  gather_facts: no
  connection: network_cli
  vars_files:
    - ../vars/WLC_connection_vars.yml

  tasks:
   - ios_config:
      commands:
       - netconf-yang
       - ip http secure-server
       - restconf
      save_when: modified